from IPython.display import Markdown as md
from IPython.display import display
import pyperclip as pc


tasks = [
    r'4. (10) В группе учится 22 студента. Ими были получены следующие 100 -балльные оценки: $64,41,83,41,83,53,0$, $63,84,98,2,42,98,57,63,53,91,28,76,63,78,83$. Найдите: 1) А - среднюю положительную оценку в группе; 2) М медиану положительных оценок в группе; 3) H - среднее гармоническое и G - среднее геометрическое оценок, которые не менее $\mathrm{M} ; 4) \mathrm{Q}$ - медианную оценку в той части группы, в которой студенты набрали не менее М баллов; 5) $\mathrm{N}$ - количество студентов, оценки которых оказались между Н и Q (включая границы).',
    r'5. (10) Пусть $\vec{x}=\left(x_1, \ldots, x_{25}\right)$ - реализация случайной выборки $\vec{X}=\left(X_1, \ldots, X_{25}\right)$ из нормального распределения $N\left(\mu_x ; 0,8^2\right)$, а $\vec{y}=\left(y_1, \ldots, y_{35}\right)$ - реализация случайной выборки $\vec{Y}=\left(Y_1, \ldots, Y_{35}\right)$ из нормального распределения $N\left(\mu_y ; 1,4^2\right)$. Известно, что $\vec{X}$ и $\vec{Y}$ независимы. Проверяется гипотеза $H_0: \mu_x=\mu_y$ против альтернативной гипотезы $H_1: \mu_x>\mu_y$. При уровне значимости $\alpha$ применяется критерий с критической областью $\{Z>A\}$, где статистика критерия $Z=Z(\vec{X}, \vec{Y})$ - это нормированная разность $\bar{X}-\bar{Y}, A=A_\alpha$ - зависящее от $\alpha$ критическое значение. Соответствующее критическое множество имеет вид $K_\alpha=\left(A_\alpha ; \infty\right)$. 1) Найдите значение статистики критерия $Z_{\text {набл. }}=Z(\vec{x}, \vec{y})$. 2) Найдите $P$-значение критерия. 3) Найдите критическое значение $A$, критическое множество $K_\alpha$ и проверьте гипотезу $H_0$ при $\alpha=0,03$. 4) Найдите мощность критерия $W$ в случае $\mu_x-\mu_y=0,6$ и $\alpha=0,03$. Исходные данные: $\vec{x}=(4,837 ; 2,78 ; 4,868 ; 5,183 ; 2,87 ; 1,781 ; 2,421 ; 2,683 ; 2,7 ; 3,764 ; 2,697 ; 3,572 ; 5,147 ; 4,114 ; 5,962$; $3,183 ; 3,25 ; 5,03 ; 3,894 ; 4,279 ; 3,05 ; 4,855 ; 4,243 ; 5,05 ; 4,536) ; \vec{y}=(3,539 ; 5,746 ; 2,145 ; 3,284 ; 4,602 ; 3,135 ; 3,417 ; 3,694$; 0,$047 ; 4,838 ; 2,735 ; 4,183 ; 4,738 ; 2,781 ; 4,129 ; 4,695 ; 4,016 ; 3,517 ; 4,747 ; 1,872 ; 5,439 ; 0,861 ; 2,821 ; 4,437 ; 4,006 ; 7,154$; $4,244 ; 4,083 ; 5,911 ; 2,052 ; 4,124 ; 3,738 ; 4,555 ; 1,084 ; 3,996)$.',
    r'6. (10) По содержащейся в файле ds6.4.12.csv реализации случайной выборки из двумерного нормального распределения $N\left((\mathbb{E}(X) ; \mathbb{E}(Y)) ;\left\|\begin{array}{|cc}\operatorname{Var}(X) & \operatorname{Cov}(X, Y) \\ \operatorname{Cov}(X, Y) & \operatorname{Var}(Y)\end{array}\right\|\right)=N\left((2 ; 2) ;\left\|\begin{array}{cc}\sigma^2 & \rho \sigma^2 \\ \rho \sigma^2 & \sigma^2\end{array}\right\|\right) \quad$ с $\quad$ неизвестными параметрами $\rho \in(-1 ; 1)$ и $\sigma>0: 1)$ запишите логарифм функции правдоподобия, $\ln L(\rho, \sigma) ; 2$ ) найдите оценки максимального правдободобия $\hat{\rho}$ и $\widehat{\sigma}$.',

    r'4. (10) !!!тут Ex и VarY, может быть наоборот!!! Эмпирическое распределение признаков $X$ и $Y$ на генеральной совокупности $\Omega=\{1,2, \ldots, 100\}$ задано таблицей частот <br> Из $\Omega$ случайным образом без возвращения извлекаются 14 элементов. Пусть $\bar{X}$ и $\bar{Y}$ - средние значения признаков на выбранных элементах. Требуется найти: 1) математическое ожидание $\mathrm{E}(\bar{X}) ; 2$ ) дисперсию $\operatorname{Var}(\bar{Y}) ; 3)$ коэффициент корреляции $\rho(\bar{X}, \bar{Y})$.',
    r'5. (10) Пусть $\vec{x}=\left(x_1, \ldots, x_{20}\right)$ - реализация случайной выборки $\vec{X}=\left(X_1, \ldots, X_{20}\right)$ из нормального распределения $N\left(\mu ; \sigma^2\right)$. Проверяется на уровне значимости $\alpha=0,04$ основная гипотеза $H_0: \mu=1,45$ против альтернативной гипотезы $H_1: \mu \neq 1,45$ с критическим множеством вида $K_\alpha=(-\infty,-A) \cup(A,+\infty)$. 1) Найдите значение статистики критерия $t=T_{\text {набл. }}=T(\vec{x})$. 2) Найдите границу А критического множества. 3) Найдите $P$-значение критерия и сделайте выводы. 4) Найдите мощность $W$ критерия для $H_1: \mu=1,34$. <br> Исходные данные: $\vec{x}=(1,494 ; 0,274 ; 10,106 ; 1,165 ; 1,411 ;-0,809 ; 0,617 ; 4,121 ; 6,242 ;-3,752 ; 0,98 ; 0,884 ; 6,619 ; 1,781$; $6,055 ;-3,969 ; 1,481 ; 4,778 ;-4,171 ; 1,672)$.',
    r'6. (10) Пусть $\left(x_1, y_1\right) ; \ldots ;\left(x_{36}, y_{36}\right)$ - реализация случайной выборки $\left(X_1, Y_1\right) ; \ldots ;\left(X_{36}, Y_{36}\right)$ из двумерного нормального распределения $N\left(\mu_x ; \mu_y ; \sigma_x^2 ; \sigma_y^2 ; \rho\right)$. Используя векторы $\vec{x}=\left(x_1 ; \ldots ; x_{36}\right)$ и $\vec{y}=\left(y_1 ; \ldots ; y_{36}\right)$, постройте асимптотический 0,73 -доверительный интервал ( $\hat{\theta}_1 ; \hat{\theta}_2$ ) для коэффициента корреляции $\rho$. В ответе укажите: 1) выборочный коэффициент корреляции $\hat{\rho} ; 2$ ) верхнюю границу $\hat{\theta}_2$ построенного доверительного интервала для $\rho$. Исходные данные: $\vec{x}=(-1,377 ;-0,664 ; 0,544 ;-0,259 ;-0,162 ;-0,065 ;-1,324 ; 0,561 ; 0,382 ; 1,482 ;-1,113 ;-0,68 ; 0,536 ;-0,541$; $-1,348 ;-0,287 ; 0,964 ; 1,353 ;-0,095 ;-0,008 ;-0,505 ; 2,807 ; 1,258 ;-0,517 ; 2,763 ; 0,285 ;-0,836 ; 0,891 ; 0,785 ; 0,811 ; 0,08 ;-0,09 ;$ $1,637 ; 2,165 ; 0,911 ;-2,165), \quad \vec{y}=(-1,466 ;-0,554 ; 0,575 ; 0,284 ;-0,779 ; 0,179 ;-1,809 ; 0,707 ; 0,108 ; 1,174 ;-1,672 ;-0,654 ;$ $-0,187 ;-0,643 ;-0,995 ; 0,489 ; 0,69 ; 1,612 ; 0,176 ; 0,275 ;-0,217 ; 2,311 ; 1,107 ;-0,395 ; 2,467 ; 0,362 ;-0,978 ; 0,975 ; 0,439 ; 0,765 ;$ $0,154 ;-0,308 ; 1,404 ; 1,674 ; 0,816 ;-1,418)$.',

    r'4. (10) Распределение баллов на экзамене до перепроверки задано таблицей <br> Работы будут перепроверять 7 преподавателей, которые разделили все работы между собой поровну случайным образом. Пусть $\bar{X}-$ средний балл (до перепроверки) работ, попавших к одному из преподавателей. Требуется найти: 1) математическое ожидание $\mathrm{E}(\bar{X})$; 2) стандартное отклонение $\sigma(\bar{X})$.',
    r'5. (10) Пусть $\vec{x}=\left(x_1, \ldots, x_{20}\right)$ - реализация случайной выборки $\vec{X}=\left(X_1, \ldots, X_{20}\right)$ из нормального распределения $N\left(\mu_x ; 0,9^2\right)$, а $\vec{y}=\left(y_1, \ldots, y_{30}\right)$ - реализация случайной выборки $\vec{Y}=\left(Y_1, \ldots, Y_{30}\right)$ из нормального распределения $N\left(\mu_y ; 1,6^2\right)$. Известно, что $\vec{X}$ и $\vec{Y}$ независимы. Проверяется гипотеза $H_0: \mu_x=\mu_y$ против альтернативной гипотезы $H_1: \mu_x>\mu_y$. При уровне значимости $\alpha$ применяется критерий с критической областью $\{Z>A\}$, где статистика критерия $Z=Z(\vec{X}, \vec{Y})$ - это нормированная разность $\bar{X}-\bar{Y}, A=A_\alpha$ - зависящее от $\alpha$ критическое значение. Соответствующее критическое множество имеет вид $\left.K_\alpha=\left(A_\alpha ; \infty\right) .1\right)$ Найдите значение статистики критерия $Z_{\text {набл. }}=Z(\vec{x}, \vec{y})$. 2) Найдите $P$-значение критерия. 3) Найдите критическое значение $A$, критическое множество $K_\alpha$ и проверьте гипотезу $H_0$ при $\alpha=0,04$. 4) Найдите мощность критерия $W$ в случае $\mu_x-\mu_y=1,0$ и $\alpha=0,04$. Исходные данные: $\vec{x}=(6,029 ; 4,203 ; 3,765 ; 4,97 ; 4,137 ; 4,027 ; 2,698 ; 5,84 ; 4,395 ; 3,972 ; 4,64 ; 3,522 ; 2,874 ; 3,886 ; 3,458$; $4,552 ; 3,553 ; 3,99 ; 4,962 ; 6,457) ; \vec{y}=(5,16 ; 1,45 ; 1,967 ; 4,235 ; 2,802 ; 5,889 ; 4,942 ; 4,955 ; 2,468 ; 2,462 ; 3,003 ; 4,037 ; 2,095 ; 3,673 ; 5,177$; $4,882 ; 6,149 ; 7,272 ; 2,021 ; 3,916 ; 2,878 ; 3,748 ; 1,986 ; 6,312 ; 3,518 ; 3,856 ; 4,557 ; 3,576 ; 2,487 ; 3,641)$.',

    r'4. (10) Следующие 30 чисел - это умноженные на 10000 и округленные до ближайшего целого дневные логарифмические доходности акции компании АВС: $-956,744,1024,-794,17,-252,-1122,-853,65,-200,991,277,59,-105,-95,729,20,584,-832,-232,-490,-590,197,-20,-278$, $-123,-275,-72,-416,-165$. Будем называть их преобразованными доходностями (ПД). Финансовый аналитик Глеб предполагает, что преобразованные доходности (как и исходные) приближенно распределены по нормальному закону. Чтобы проверить свое предположение Глеб нашел нижнюю квартиль $\mathrm{L}$ и верхнюю квартиль $\mathrm{H}$ нормального распределения $N\left(\mu, \sigma^2\right)$, для которого $\mu$ - это среднее арифметическое ПД, а $\sigma$ - эмпирическое стандартное отклонение ПД. Затем Глеб подсчитал количество ПД, попавших в интервал от L до H (надеясь, что в этот интервал попадет половина ПД). Результат этого вычисления показался ему недостаточно убедительным. Чтобы окончательно развеять сомнения относительно нормальности ПД, Глеб построил на одном рисунке графики функций: $\hat{F}(x)$ и $F(x)$, где $\hat{F}(x)-$ эмпирическая функция распределения ПД, а $F(x)$ - функция распределения $N\left(\mu, \sigma^2\right)$. В качестве меры совпадения двух графиков Глеб решил использовать расстояние $d$ между функциями $\hat{F}(x)$ и $F(x)$, которое он вычислил, исходя из определения: $d=\sup |\hat{F}(x)-F(x)|$. В ответе укажите результаты вычислений Глеба: 1) среднее арифметическое ПД; 2) эмпирическое стандартное отклонение ПД; 3) квартили L и H; 4) количество ПД, попавших в интервал от $\mathrm{L}$ до $\mathrm{H} ; 5)$ расстояние между функциями $\hat{F}(x)$ и $F(x)$.',
    r'5. (10) Для трех групп финансовых показателей А: $\left(X_1 ; \ldots ; X_{35}\right)$, В: $\left(Y_1 ; \ldots ; Y_{29}\right), \mathbf{C}:\left(Z_1 ; \ldots ; Z_{31}\right)$, которые по предположению независимы и распределены, соответственно, по трем нормальным законам $N\left(\mu_x, \sigma^2\right), N\left(\mu_y, \sigma^2\right), N\left(\mu_z, \sigma^2\right)$ (с одинаковой неизвестной дисперсией $\sigma^2$ ) на уровне значимости $\alpha=0,01$ с помощью F-критерия (Фишера) проверяется гипотеза $H_0: \mu_x=\mu_y=\mu_z$ о совпадении ожидаемых значений показателей. Конкретные значения всех показателей указаны ниже. 1) По данным значениям показателей найдите межгрупповую дисперсию. 2) По этим же данным найдите среднюю групповую дисперсию. 3) Найдите значение статистики F-критерия, критическое множество $K_\alpha$ и проверьте гипотезу $H_0$. 4) Найдите $P$-значение критерия и сделайте выводы. <br> Значения показателей группы А: $(-2,63 ; 2,812 ; 3,354 ;-1,754 ; 3,732 ; 0,411 ; 4,594 ; 8,272 ; 0,437 ; 10,205 ; 5,254 ;-0,846 ; 0,729 ; 3,799 ; 1,174 ; 2,885$; $1,489 ;-3,153 ; 2,788 ; 1,361 ;-0,556 ; 3,637 ; 0,484 ;-3,043 ; 0,471 ; 1,513 ; 4,164 ; 2,327 ; 3,715 ; 1,989 ; 3,666 ; 5,35 ; 4,509 ; 7,537 ; 0,258) .3$ начения показателей группы В: $(0,024 ;-1,306 ; 2,986 ; 2,237 ; 3,289 ; 5,557 ; 1,174 ; 2,651 ; 3,268 ; 2,492 ; 2,516 ; 0,924 ; 5,502 ; 4,909 ;-0,901 ;-0,13 ; 0,28 ;-1,594$; $1,728 ; 1,737 ; 1,491 ; 1,43 ;-1,218 ; 2,952 ;-0,516 ; 2,881 ; 1,591 ; 2,129 ; 0,819)$. Значения показателей группы С: $(-0,638 ; 2,623 ; 6,466 ;-1,684 ; 4,656 ;$ $-0,655 ; 2,152 ; 1,103 ; 0,503 ; 4,185 ; 0,627 ;-0,555 ;-0,98 ; 0,852 ;-1,945 ; 5,233 ; 3,124 ;-4,2 ; 0,958 ; 4,156 ; 0,936 ;-1,321 ; 0,573 ; 0,164 ; 1,11 ; 5,099 ;$ $0,084 ; 0,934 ; 0,941 ;-1,156 ;-2,437)$.',

    r'4. (10) Две игральные кости, красная и синяя, подбрасываются до тех пор, пока не выпадет 11 различных (с учетом цвета) комбинаций очков. Пусть $R_i$ - число очков на красной кости, а $B_i$ - число очков на синей кости в комбинации с номером $i$. Случайные величины $X_i$ задаются соотношениями: $X_i=15 R_i-7 B_i, i=1, \ldots, 11$. Среднее арифметическое этих величин обозначим $\bar{X}=\frac{1}{11} \sum X_i$. Требуется найти: 1) математическое ожидание $\mathrm{E}(\bar{X}) ; 2$ ) стандартное отклонение $\sigma(\bar{X})$.',
    r'6. (10) Влад и Ева исследуют эффективность лекарственного препарата АВС. Влад, используя модель Евы, создал компьютерную программу, вычисляющую по заданным генетическим факторам вероятность (в процентах) успешного применения АВС. Программа Влада накапливает полученные вероятности и в итоге выдает набор частот: $n_0, n_1, \ldots, n_{100}$. Например, $n_{75}$ - это число случаев, в которых программа Влада получила вероятность $75 \%$. Обработав 900 образцов генетического материала, Ева нашла значения факторов и ввела их в программу. В результате был получен следующий набор частот: $0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1$, $1,1,3,3,2,4,2,3,8,10,6,7,14,13,15,14,17,15,24,22,34,35,34,44,45,55,36,48,38,46,40,49,48,39,39,21,18,18,10$, $5,6,4,1,0,1,0,0,0,0,0,0$. Для завершения этапа исследования необходимо было подобрать распределение, соответствующее полученным частотам. Ева решила использовать распределение на отрезке $[0,1]$ с плотностью $f(x)=f(x ; a, b)=a b x^{a-1}\left(1-x^a\right)^{b-1}$ и целочисленными параметрами $a, b$ в диапазоне от 1 до 20 . В результате максимизации функции правдоподобия (при указанных ограничениях) Владом были получены значения параметров: $\hat{a}=A$ и $\hat{b}=B$. Задача: пусть $X$ - случайная величина, распределения на отрезке $[0,1]$ с плотностью $f(x)=f(x ; \hat{a}, \hat{b}), F(x)$ - ее функция распределения. Требуется найти математическое ожидание $\mathrm{E}(X)$ и $X_{0,2}=F^{-1}(0,2)$ - квантиль уровня 0,2 . Какой смысл для всей популяции имеют $\mathrm{E}(X)$ и $X_{0,2}$ ? В ответе укажите: 1) значение $A$; 2) значение $B$; 3) математическое ожидание $\mathrm{E}(X) ; 4)$ квантиль $X_{0,2}$.',

    r'4. (10) В группе $\Omega$ учатся 28 студентов, $\Omega=\{1,2, \ldots, 28\}$. Пусть $X(i)-100$-балльная оценка студента $i \in \Omega$. Из группы $\Omega$ случайным образом 6 раз выбирается студент $\omega \in \Omega$. Повторный выбор допускается. Пусть $\omega_j-$ студент, полученный после выбора $j=1, \ldots, 6, X\left(\omega_j\right)$ - его оценка. Среднюю оценку на случайной выборке обозначим $\bar{X}=\frac{1}{6} \sum X\left(\omega_j\right)$. Оценки в группе даны: $95,12,0,3,63,64,0,63,100,96,54,79,0,98,71,68,95,97,89,78,79,89,100,67,0,63,80,64$. Требуется найти: 1) дисперсию $\operatorname{Var}(\bar{X}) ; 2)$ центральный момент $\mu_3(\bar{X})$.',

    r'5. (10) Пусть $\vec{x}=\left(x_1, \ldots, x_{20}\right)$ - реализация случайной выборки $\vec{X}=\left(X_1, \ldots, X_{20}\right)$ из нормального распределения $N\left(\mu ; 3,6^2\right)$. Проверяется на уровне значимости $\alpha=0,01$ основная гипотеза $H_0: \mu=1,91$ против альтернативной гипотезы $H_1: \mu \neq 1,91$ с критическим множеством вида $K_\alpha=(-\infty,-A) \cup(A,+\infty)$. 1) Найдите значение статистики критерия $Z_{\text {набл. }}=Z(\vec{x})$. 2) Найдите границу А критического множества. 3) Найдите $P$-значение критерия и сделайте выводы. 4) Найдите мощность $W$ критерия для $H_1: \mu=1,78$. <br> Исходные данные: $\vec{x}=(1,943 ;-1,37 ; 0,323 ; 3,293 ; 1,332 ; 3,173 ; 2,409 ; 4,521 ; 5,488 ; 2,914 ; 4,19 ; 4,483 ; 3,192 ; 7,648$; $0,835 ; 2,648 ; 2,264 ;-5,505 ;-0,958 ; 5,399)$'

    r'4. (10) В группе $\Omega$ учатся студенты: $\omega_1, \ldots, \omega_{30}$. Пусть $X$ и $Y-100$-балльные экзаменационные оценки по математическому анализу и теории вероятностей. Оценки студента $\omega_i$ обозначаются: $x_i=X\left(\omega_i\right)$ и $y_i=Y\left(\omega_i\right)$, $i=1, \ldots, 30$. Все оценки известны: $x_1=73, y_1=69, x_2=39, y_2=43, x_3=87, y_3=88, x_4=60, y_4=41$, $x_5=79, y_5=95, Требуется найти следующие условные эмпирические характеристики: 1) ковариацию $X$ и $Y$ при условии, что одновременно $X \geqslant 50$ и $Y \geqslant 50 ; 2)$ коэффициент корреляции $X$ и $Y$ при том же условии.',

    r'4. (10) Поток $\Omega$ состоит из $k$ групп: $\Omega_1, \ldots, \Omega_k, k=5$. На потоке учатся $n=n_1+\ldots+n_k$ студентов, где $n_i-$ число студентов в группе $\Omega_i, i=1, \ldots, k$. Пусть $X(\omega)-100$-балльная оценка студента $\omega \in \Omega$. Далее используются следующие обозначения: $\bar{x}_i$ - среднее значение, $\sigma_i$ - (эмпирическое) стандартное отклонение признака $X$ на группе $\Omega_i$. Дано: $n_1=22, n_2=29, n_3=28, n_4=25, n_5=20, \bar{x}_1=74, \bar{x}_2=73, \bar{x}_3=72$, $\bar{x}_4=79, \bar{x}_5=80, \sigma_1=9, \sigma_2=4, \sigma_3=7, \sigma_4=3, \sigma_5=8$. Требуется найти: 1) среднее значение $X$ на потоке $\Omega ; 2$ ) (эмпирическое) стандартное отклонение $X$ на потоке $\Omega$.',

    r'4. (10) В группе $\Omega$ учатся 27 студентов, $\Omega=\{1,2, \ldots, 27\}$. Пусть $X(i)-100$-балльная оценка студента $i \in \Omega$. Из группы $\Omega$ случайным образом 7 раз выбирается студент $\omega \in \Omega$. Повторный выбор не допускается. Пусть $\omega_j-$ студент, полученный после выбора $j=1, \ldots, 7, X\left(\omega_j\right)$ - его оценка. Среднюю оценку на случайной выборке обозначим $\bar{X}=\frac{1}{7} \sum X\left(\omega_j\right)$. Оценки в группе даны: $86,62,66,100,26,0,73,87,80,78,65,55,9,3,31,79,86,73,19,89,74,88,63,55,51,77,63$. Требуется найти: 1) математическое ожидание $\mathrm{E}(\bar{X}) ; 2)$ дисперсию $\operatorname{Var}(\bar{X})$.',

    r'Пусть $\vec{x}=\left(x_1, \ldots, x_{30}\right)$ - реализация случайной выборки $\vec{X}=\left(X_1, \ldots, X_{30}\right)$ из нормального распределения $N\left(1,18 ; \sigma^2\right)$. Проверяется на уровне значимости $\alpha=0,02$ гипотеза $H_0: \sigma=1,14$ против альтернативной гипотезы $H_1: \sigma \neq 1,14$ с критическим множеством вида $K_\alpha=(0 ; A) \cup(B ;+\infty)$. 1) Найдите значение статистики критерия $\chi_0^2$. 2) Найдите границы А и В критического множества и проверьте гипотезу $H_0$. 3) Найдите $P$-значение критерия. 4) Найдите вероятность ошибки второго рода $\beta$ для $\sigma_1=1,24$. Исходные данные: $\vec{x}=(0,889 ; 1,514$; 2,$846 ; 2,811 ; 0,84 ; 0,945 ; 0,02 ;-0,441 ;-0,796 ; 3,739 ; 0,688 ; 0,777 ;-0,233 ; 2,284 ;-0,681 ; 1,056 ; 0,21 ; 1,8 ; 0,687 ;-0,144 ; 1,285$; $1,851 ; 1,402 ; 1,695 ; 0,533 ; 0,87 ; 0,486 ; 0,874 ; 0,312 ;-0,821)$.',

    r'Пусть $\vec{x}=\left(x_1, \ldots, x_{30}\right)$ - реализация случайной выборки $\vec{X}=\left(X_1, \ldots, X_{30}\right)$ из нормального распределения $N\left(\mu ; \sigma^2\right)$. Проверяется на уровне значимости $\alpha=0,02$ гипотеза $H_0: \sigma=1,14$ против альтернативной гипотезы $H_1: \sigma \neq 1,14$ с критическим множеством вида $K_\alpha=(0 ; A) \cup(B ;+\infty)$. 1) Найдите значение статистики критерия $\chi^2$. 2) Найдите границы А и В критического множества и проверьте гипотезу $H_0$. 3) Найдите $P$-значение критерия. 4) Найдите вероятность ошибки второго рода $\beta$ для $\sigma_1=1,24$. Исходные данные: $\vec{x}=(0,889 ; 1,514 ; 2,846 ; 2,811$; 0,$84 ; 0,945 ; 0,02 ;-0,441 ;-0,796 ; 3,739 ; 0,688 ; 0,777 ;-0,233 ; 2,284 ;-0,681 ; 1,056 ; 0,21 ; 1,8 ; 0,687 ;-0,144 ; 1,285 ; 1,851 ; 1,402 ;$ 1,695; 0,533; 0,87; 0,486; 0,874; 0,312;-0,821).'
]


answer = [
    'tvp.amhgqn()', 'tvp.zpawxy()', 'tvp.lnl()',
    'tvp.tabl_chast_Ex_VarY()', 'tvp.tapw()', 'tvp.ro_theta()',
    'tvp.raspr_ballov()', 'rvp.fin_pok_file()',
    'tvp.f_f', 'tvp.fin_pok()',
    'tvp.red_blue()', 'tvp.lek_prep()',
    'tvp.omega_var_m3()',
    'tvp.zapw',
    'tvp.omega_cov_corr()',
    'tvp.omega_sr_std()',
    'tvp.omega_e_var()',
    'disp1()',
    'disp2()'

]


def disp1():
    s = '''
import numpy as np
from scipy.stats import *

x = '1, 2, 3'
x = np.array(x)
n = len(x)

alpha = 0.02
mu = 1.18
s0 = 1.14
s1 = 1.24

s2 = np.sum((x - mu) ** 2) / n

CHI = n * s2 / s0 ** 2

A = chi2(n).isf(1 - alpha / 2)
B = chi2(n).isf(alpha / 2)

P = 2 * min(chi2(n).cdf(CHI), chi2(n).sf(CHI))

beta = chi2(n).cdf(s0 ** 2 / s1 ** 2 * B) - chi2(n).cdf(s0 ** 2 / s1 ** 2 * A)

print(CHI, A, B, P, beta)
    '''
    return pc.copy(s)


def disp2():
    s = '''
import numpy as np
from scipy.stats import *

x = '1, 2, 3'
x = np.array(x)

n = len(x)

alpha = 0.02
s0 = 1.14
s1 = 1.24

CHI = (n - 1) * x.var(ddof=1) / s0 ** 2

A = chi2(n - 1).isf(1 - alpha / 2)
B = chi2(n - 1).isf(alpha / 2)

P = 2 * min(chi2(n - 1).cdf(CHI), chi2(n - 1).sf(CHI))

beta = chi2(n - 1).cdf(s0 ** 2 / s1 ** 2 * B) - chi2(n - 1).cdf(s0 ** 2 / s1 ** 2 * A)

print(CHI, A, B, P, beta)
    '''
    return pc.copy(s)


def ffind(a):
    a = a.split()
    for i in range(len(tasks)):
        res = len(a)
        count = 0
        for g in a:
            if g.lower() in tasks[i].lower():
                count += 1
        if count == res:
            display(md(tasks[i]))
            return pc.copy(answer[i])


def help_me():
    return pc.copy('tvt tvp tvimspr')








